oro_behat_extension:
  elements:
    Segment Form:
      class: Oro\Bundle\TestFrameworkBundle\Behat\Element\Form
      selector: "form[name='oro_segment_form']"
      options:
        mapping:
          Name: oro_segment_form[name]
          Entity: oro_segment_form[entity]
          Segment Type: oro_segment_form[type]

    Edit First Segment Column:
      selector: '#oro_segment-column-list tr:nth-child(1) [data-collection-action="edit"]'

    Edit Second Segment Column:
      selector: '#oro_segment-column-list tr:nth-child(2) [data-collection-action="edit"]'

    Save Column Button:
      selector: '.save-button.column-form-button'

    Clone Segment Button:
      selector: 'a[title="Clone Segment"]'

  suites:
    OroSegmentBundle:
      contexts:
        - Oro\Bundle\TestFrameworkBundle\Tests\Behat\Context\OroMainContext
        - Oro\Bundle\TestFrameworkBundle\Tests\Behat\Context\FixturesContext
        - Oro\Bundle\QueryDesignerBundle\Tests\Behat\Context\QueryDesignerContext
        - Oro\Bundle\FilterBundle\Tests\Behat\Context\FilterContext
        - Oro\Bundle\FormBundle\Tests\Behat\Context\FormContext
        - Oro\Bundle\DataGridBundle\Tests\Behat\Context\GridContext
        - Oro\Bundle\EmailBundle\Tests\Behat\Context\EmailContext
        - Oro\Bundle\ImportExportBundle\Tests\Behat\Context\ImportExportContext
      paths:
        - '@OroSegmentBundle/Tests/Behat/Features'
